.for_branch_rule:
  rules:
    - if: '$CI_COMMIT_BRANCH != "master"'
      variables:
        IMAGE_TAG: "$CI_COMMIT_REF_NAME-$IMAGE_TAG_PREFIX"
        HTTP_DOCKER_REGISTRY: "https://artifact.socrate.vsct.fr/artifactory/ritmx-docker-dev-local/"

clean:
  rules:
    - !reference [ .for_branch_rule, rules ]
  stage: clean
  needs: [ "test" ]
  image: dockerhub-docker-remote.artifact.cloud.socrate.vsct.fr/python:3
  script:
    - echo delete image at $HTTP_DOCKER_REGISTRY/$IMAGE_DIR/$IMAGE_TAG
    - curl -X DELETE -v --user $DOCKER_REGISTRY_USER:"$DOCKER_REGISTRY_PASSWORD" $HTTP_DOCKER_REGISTRY/$IMAGE_DIR/$IMAGE_TAG

  retry:
    max: 2
    when:
      - script_failure

